Update a goal
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/goals/{goal_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.example.com/v1/cases/{case_id}/goals/{goal_id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.example.com/v1/cases/{case_id}/goals/{goal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K5XE10FJ8T55HRYE78AN7MNO",
"type": "discover_financial_accounts",
"status": "in_progress",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Goals
Update a goal
Update a goal’s status.
PATCH
/
cases
/
{case_id}
/
goals
/
{goal_id}
Update a goal
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique case identifier (ULID format).
Goal identifier.
Body
application/json
Available options:
pending, in_progress, completed Response
Goal updated.
Show child attributes
Show child attributes
⌘I

